Ankündigung

Einklappen
Keine Ankündigung bisher.

Telegram, Alternative zu WhatsApp

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    #76
    Onkelandy nimmt sich performancetechnisch nicht viel.
    Msinn hatte das mal untersucht nur konkatenation war etwas langsamer

    Kommentar


      #77
      Aber es macht Sinn das in Python3 so zu machen.

      Kommentar


        #78
        Ich bekomme seit der Umstellung nun öfters, in unregelmäßigen Abständen, folgende Meldung:
        Code:
        2018-01-30  15:38:06 ERROR    telegram.ext.updater Error while getting Updates: Timed out
        2018-01-30  15:38:06 ERROR    telegram.ext.dispatcher No error handlers are registered, logging exception...
        Ich vermute mal, Letzteres wird durch den Error Handler abgefangen. Aber weiß jemand woher das Timeout kommen kann? Theoretisch möglich, dass es das Problem davor auch schon gab, nur nie mitgeloggt wurde.

        Kommentar


          #79
          Zitat von Onkelandy Beitrag anzeigen
          ich bekomme seit der Umstellung nun öfters, in unregelmäßigen Abständen, folgende Meldung: Code:

          2018-01-30 15:38:06 ERROR telegram.ext.updater Error while getting Updates: Timed out 2018-01-30 15:38:06 ERROR telegram.ext.dispatcher No error handlers are registered, logging exception...
          ich hab den Fehler auch.. vielleicht hat es mit update.idle() zu tun, hab dies bisher nicht dem Code hinzugefügt, (da ich den Sinn nicht verstanden habe)?

          Code:
          # called once at startup after all items are loaded
              def run(self):
                  self.alive = True
                  self.logics = Logics.get_instance() # Returns the instance of the Logics class, to be used to access the logics-api
          
                  self._updater.start_polling()   # (poll_interval=0.0, timeout=10, network_delay=None, clean=False, bootstrap_retries=0, read_latency=2.0, allowed_updates=None)
          [COLOR=#FF0000]        self._updater.idle()            # ja oder nein?[/COLOR]
          
                  # if you want to create child threads, do not make them daemon = True!
                  # They will not shutdown properly. (It's a python bug)
          Test läuft

          Kommentar


            #80
            Erste Test haben bei mir auch den Timeout Fehler geworfen...

            Kommentar


              #81
              Code:
              self._updater.start_polling(poll_interval=1.0, timeout=20)
              brachte keine spürbare Verbesserung hinsichtlich der Timeout Fehler..

              Kommentar


                #82
                Jup, bei mir das gleiche.. Ca. 4 Timeouts pro Stunde mit dem idle-Code.

                Kommentar


                  #83
                  so wie ich das sehe, sind wir nicht die einzigen mit dem Problem

                  https://github.com/python-telegram-b...bot/issues/802


                  ich hab es seit ca. 20h mit read_latency=50.0 versucht, und bisher keinen Error...

                  Code:
                  self._updater.start_polling(read_latency=50.0)     # (poll_interval=0.0, timeout=10, network_delay=None, clean=False, bootstrap_retries=0, read_latency=2.0, allowed_updates=None)
                  #self._updater.idle()
                  Gruß Ivan
                  Zuletzt geändert von ivande; 01.02.2018, 09:31.

                  Kommentar


                    #84
                    Habe die read_latency mal übernommen und werde berichten... danke.

                    Kommentar


                      #85
                      Timeouts hatte ich mit read_latency=50 noch keine. In der Zwischenzeit ist jedoch ein anderer Fehler aufgetaucht, dieser wiederholte sich jedoch nicht periodisch.


                      2018-02-01 03:06:29 ERROR updater Error while getting Updates: Invalid server response
                      2018-02-01 03:06:29 WARNING dispatcher Update None caused error Invalid server response
                      2018-02-01 03:06:30 ERROR updater Error while getting Updates: Invalid server response
                      2018-02-01 03:06:30 WARNING dispatcher Update None caused error Invalid server response
                      2018-02-01 03:06:32 ERROR updater Error while getting Updates: Invalid server response
                      2018-02-01 03:06:32 WARNING dispatcher Update None caused error Invalid server response
                      2018-02-01 03:06:34 ERROR updater Error while getting Updates: Invalid server response
                      2018-02-01 03:06:34 WARNING dispatcher Update None caused error Invalid server response
                      2018-02-01 03:06:37 ERROR updater Error while getting Updates: Invalid server response

                      Kommentar


                        #86
                        Dito, mit read_latency ist es (zumindest in den letzten 24h) besser.

                        Hier noch ein Schock-Artikel:
                        https://www.heise.de/mac-and-i/meldu...s-3958529.html

                        Kommentar


                          #87
                          Selbes Problem hier. 1 Mal innerhalb der letzten 24 Stunden der "Invalid Server response". Dafür gleich 5 Mal am Stück innerhalb weniger Sekunden.
                          Zur Schocknachricht gibt es schon ein Update:
                          [Update 1.02.2018 18:35 Uhr] Telegram und Telegram X lassen sich inzwischen wieder über den App Store beziehen.

                          Kommentar


                            #88
                            Zitat von ivande Beitrag anzeigen

                            ich hab es seit ca. 20h mit read_latency=50.0 versucht, und bisher keinen Error...

                            Code:
                            self._updater.start_polling(read_latency=50.0) # (poll_interval=0.0, timeout=10, network_delay=None, clean=False, bootstrap_retries=0, read_latency=2.0, allowed_updates=None)
                            #self._updater.idle()
                            Wo genau (Zeile) hast du das geändert? Es gibt zwei Stellen mit "start_polling":

                            Zeile 94 und 115

                            Ich habe es in beiden Zeilen hinzugefügt. Leider habe immernoch das Problem, dass die erste Nachricht nach "längerer" Zeit nicht ankommt.

                            Mit dieser Fehlermeldung:

                            Code:
                            2018-02-10  16:11:02 INFO     logics.fensterwarnung Fensterwarnung fuer Fenster: Fenster.HWR.warn
                            2018-02-10  16:11:02 ERROR    logics.fensterwarnung Logic: logics.fensterwarnung, File: /usr/lib/python3.5/ssl.py, Line: 583, Method: read, Exception: ('Connection aborted.', ConnectionResetError(104, 'Die Verbindung wurde vom Kommunikationspartner zurückgesetzt'))
                            Traceback (most recent call last):
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 601, in urlopen
                                chunked=chunked)
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 387, in _make_request
                                six.raise_from(e, None)
                              File "<string>", line 2, in raise_from
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 383, in _make_request
                                httplib_response = conn.getresponse()
                              File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse
                                response.begin()
                              File "/usr/lib/python3.5/http/client.py", line 297, in begin
                                version, status, reason = self._read_status()
                              File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
                                line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
                              File "/usr/lib/python3.5/socket.py", line 576, in readinto
                                return self._sock.recv_into(b)
                              File "/usr/lib/python3.5/ssl.py", line 937, in recv_into
                                return self.read(nbytes, buffer)
                              File "/usr/lib/python3.5/ssl.py", line 799, in read
                                return self._sslobj.read(len, buffer)
                              File "/usr/lib/python3.5/ssl.py", line 583, in read
                                v = self._sslobj.read(len, buffer)
                            ConnectionResetError: [Errno 104] Die Verbindung wurde vom Kommunikationspartner zurückgesetzt
                            
                            During handling of the above exception, another exception occurred:
                            
                            Traceback (most recent call last):
                              File "/usr/local/smarthome/lib/scheduler.py", line 425, in _task
                                exec(obj.bytecode)
                              File "/usr/local/smarthome/logics/fensterwarnung.py", line 19, in <module>
                                bot.sendMessage(chat_id, message)
                              File "/usr/local/lib/python3.5/dist-packages/telepot/__init__.py", line 456, in sendMessage
                                return self._api_request('sendMessage', _rectify(p))
                              File "/usr/local/lib/python3.5/dist-packages/telepot/__init__.py", line 434, in _api_request
                                return api.request((self._token, method, params, files), **kwargs)
                              File "/usr/local/lib/python3.5/dist-packages/telepot/api.py", line 130, in request
                                r = fn(*args, **kwargs)  # `fn` must be thread-safe
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/request.py", line 148, in request_encode_body
                                return self.urlopen(method, url, **extra_kw)
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/poolmanager.py", line 321, in urlopen
                                response = conn.urlopen(method, u.request_uri, **kw)
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 639, in urlopen
                                _stacktrace=sys.exc_info()[2])
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/util/retry.py", line 357, in increment
                                raise six.reraise(type(error), error, _stacktrace)
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/packages/six.py", line 685, in reraise
                                raise value.with_traceback(tb)
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 601, in urlopen
                                chunked=chunked)
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 387, in _make_request
                                six.raise_from(e, None)
                              File "<string>", line 2, in raise_from
                              File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 383, in _make_request
                                httplib_response = conn.getresponse()
                              File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse
                                response.begin()
                              File "/usr/lib/python3.5/http/client.py", line 297, in begin
                                version, status, reason = self._read_status()
                              File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
                                line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
                              File "/usr/lib/python3.5/socket.py", line 576, in readinto
                                return self._sock.recv_into(b)
                              File "/usr/lib/python3.5/ssl.py", line 937, in recv_into
                                return self.read(nbytes, buffer)
                              File "/usr/lib/python3.5/ssl.py", line 799, in read
                                return self._sslobj.read(len, buffer)
                              File "/usr/lib/python3.5/ssl.py", line 583, in read
                                v = self._sslobj.read(len, buffer)
                            urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Die Verbindung wurde vom Kommunikationspartner zurückgesetzt'))
                            magiczambo
                            Forums-Einsteiger
                            Zuletzt geändert von magiczambo; 10.02.2018, 16:17.
                            Geniale Menschen sind selten ordentlich, ordentliche selten genial. (Albert Einstein)

                            Kommentar


                              #89
                              Zitat von magiczambo Beitrag anzeigen
                              Wo genau (Zeile) hast du das geändert? Es gibt zwei Stellen mit "start_polling":

                              Zeile 94 und 115

                              bei mir in Zeile 113.
                              Code:
                              self._updater.start_polling(read_latency=50.0)

                              in der Zeile 93 sollte self._updater.start_polling() nicht aktiv sein
                              Code:
                              #self._updater.start_polling()

                              hier mein aktueller Code

                              https://github.com/ivan73/plugins/bl...am/__init__.py

                              Kommentar


                                #90
                                Ok danke. dann werde ich den Code mal so übernehmen + in Zeile 113 eben die "read_latency=50.0".
                                Geniale Menschen sind selten ordentlich, ordentliche selten genial. (Albert Einstein)

                                Kommentar

                                Lädt...
                                X